¿Cómo puedo editar canciones en un servidor remoto? -- 11.10 campo con ssh campo con music campo con ftp campo con music-player camp askubuntu Relacionados El problema

How Can I Edit Songs on a Remote Server?


2
vote

problema

Español

Tengo una serie de canciones que estoy alojando. Me gustaría editar sus etiquetas ID3.

descargarlos y subirlos tomará demasiado tiempo. ¿Es posible editarlos ya que están en línea?

Actualización

Aquí está el error que obtuve cuando intenté instalar Rhythmbox en el servidor

Paquetes sugeridos: GCONF-Predeterminado-Servicio libbonobo2-bin libdv-bin Desktop-Base Base Libgnomevfs22-bin libgnomevfs2-extra lirc
librsvg2-bin SG3-Utils Python-gnome2-Doc Python-GoBject-DBG Python-GST0.10-Dev Python-GST0.10-DBG Python-GTK2-Doc Python-adormy Python-libxml2-dbg python-pyorbit-dbg gstreamer0.10-complementarios-mal Python-coherencia gnome-codec-install gnome-control-center gstreamer0.10-plugins-Ugly Brasero Paquetes recomendados:
LIBPAM-CK-Conector Osound-Clients Gnome-Media GVFS-Backends gnome-keying libgpod-common launchpad-integration Notificación-Daemon Libvisual-0.4-Plugins Yelp Avahi-Daemon Siguiendo nuevos paquetes se instalarán Consolekit DBUS-X11 DeviceKit-Discos Elound-common gamin gconf2 gnome-icon-theme Gnome-Media-Common Gnome-Mime-Data GStreamer0.10-Plugins-Base gstreamer0.10-complementos-buen gvfs hicolor-icon-theme
LIBAA1 LIBART-2.0-2 LIBATASMART4 LIBAUDIOFILE0 LIBAVAHI-GLIB1 libAvc1394-0 libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common libbrasero-media0 libcaca0 libcdparanoia0 LIBCK-CONSECTOR0 LIBCROCO3 LIBDV4 LIBEGGDBUS-1-0 LIBESD-ALSA0 libffi5 libgail-common libgaail18 libgamin0 libgdu0 libglade2-0
libgmime-2.4-2 libgnome-keying0 libgnome-media0 libgnome2-0 libgnome2-common libgnomecanvas2-0 libgnomecanvas2-comunes libgnomeui-0 libgnomeui-common libgnomevfs2-0 libgnomevfs2-comunes libgpod4 libgsf-1-114 libgsf-1-common libgtk2.0-bin libgudev-1.0-0 libgvfscommon0 libhal-storage1 libhal1 libiec61883-0 LiBlaunchPad-Integration1 LiBlircClient0 libmtp8 libmusicbrainz4c2a Libnautilus-Extension1 libnotify1 libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libproxy0 librsvg2-2
librsvg2-common libsgutils2-2 libshout3 libsoup-gnome2.4-1 libsup2.4-1 libtag1-vainilla libtag1c2a libtotem-plaparser12 libv4l-0 libvisual-0.4-0 libwavpack1 libxv1 media-jugador-info pitykit-1
Política Kit-1-Gnome Python-Cairo Python-Gconf Python-Gnome2 Python-gnomecanvas Python-GoBject Python-GST0.10 Python-GTK2 Python-libxml2 python-pyorbit rhythmbox 0 actualizado, 94 recién Instalado, 0 para eliminar y 2 no actualizado. Necesito obtener 18.1MB / 18.5MB de archivos. Después de esta operación, 112 MB de espacio de disco adicional ser usado. ¿Quieres continuar [y / n]? Advertencia: lo siguiente ¡Los paquetes no pueden ser autenticados! LIBCK-CONSECTOR0 LIBEGGDBUS-1-0 libpolkit-gobject-1-0 consolekit dbus-x11 libatasmart4 libgudev-1.0-0 libpolkit-backend-1-0 libsgutils2-2 DISKKIT-DISKS ESOUNT-common libgamin0 gamin gconf2 hicolor-icon-theme libgtk2.0-bin libcroco3 libgsf-1-common libgsf-1-114 librsvg2-2 librsvg2-comunes gnome-icon-theme gnome-media-common gnome-mime-data libcdparanoia0 libvisual-0.4-0 libxv1 gstreamer0.10-Plugins-Base LIBAA1
libAvc1394-0 libcaca0 libdv4 libhal1 libiec61883-0 libshout3 libnome-keying0 libproxy0 libsoup2.4-1 libsoup-gnome2.4-1 libtag1-vainilla libtag1c2a libv4l-0 libwavpack1 gstreamer0.10-complementos-buen gstreamer0.10-x libgdu0 libavahi-glib1 libgvfscommon0 libpolkit-agent-1-0 PolidyKit-1 PolyBit-1-Gnome GVFS LIBART-2.0-2 LIBAUSOFILE0 LIBBONOBO2-Common LibbonOBO2-0 libgade2-0 libesd-alsa0 libhal-storage1 libgnomevfs2-common
libgnomevfs2-0 libgnome2-común libgnome2-0 libgail18 libgasil-comunes libgnomecanvas2-common libgnomecanvas2-0 libbonoboui2-comunes libbonoboui2-0 liblaunchpad-integration1 libnautilus-extension1 libgmime-2.4-2 libtotem-plaparser12 libbrasero-media0 libgnome-media0 libgnomeui-common libgnomeui-0 libgpod4 libmtp8 libmusicbrainz4c2a libnotify1 Media-Player-Info Python-Cairo Libffi5 Python-GoBject Python-gconf Python-gnomecanvas Python-GTK2 Python-Pyorbit Python-gnome2 Python-libxml2 Python-GST0.10 LiBlircClient0 Rhythmbox Instale estos paquetes sin verificación [y / n]? E: Algunos paquetes No se pudo autenticar Roland @ localhost: ~ $

Original en ingles

I have a number of songs I am hosting. I would like to edit their ID3 tags.

Downloading and uploading them will take too much time. Is it possible to edit them as they are online?

Update

Here is the error i got when i tried installing Rhythmbox on the server

Suggested packages: gconf-defaults-service libbonobo2-bin libdv-bin esound desktop-base libgnomevfs2-bin libgnomevfs2-extra lirc
librsvg2-bin sg3-utils python-gnome2-doc python-gobject-dbg python-gst0.10-dev python-gst0.10-dbg python-gtk2-doc python-numpy python-libxml2-dbg python-pyorbit-dbg gstreamer0.10-plugins-bad python-coherence gnome-codec-install gnome-control-center gstreamer0.10-plugins-ugly brasero Recommended packages:
libpam-ck-connector esound-clients gnome-media gvfs-backends gnome-keyring libgpod-common launchpad-integration notification-daemon libvisual-0.4-plugins yelp avahi-daemon The following NEW packages will be installed consolekit dbus-x11 devicekit-disks esound-common gamin gconf2 gnome-icon-theme gnome-media-common gnome-mime-data gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-x gvfs hicolor-icon-theme
libaa1 libart-2.0-2 libatasmart4 libaudiofile0 libavahi-glib1 libavc1394-0 libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common libbrasero-media0 libcaca0 libcdparanoia0 libck-connector0 libcroco3 libdv4 libeggdbus-1-0 libesd-alsa0 libffi5 libgail-common libgail18 libgamin0 libgdu0 libglade2-0
libgmime-2.4-2 libgnome-keyring0 libgnome-media0 libgnome2-0 libgnome2-common libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-0 libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libgpod4 libgsf-1-114 libgsf-1-common libgtk2.0-bin libgudev-1.0-0 libgvfscommon0 libhal-storage1 libhal1 libiec61883-0 liblaunchpad-integration1 liblircclient0 libmtp8 libmusicbrainz4c2a libnautilus-extension1 libnotify1 libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libproxy0 librsvg2-2
librsvg2-common libsgutils2-2 libshout3 libsoup-gnome2.4-1 libsoup2.4-1 libtag1-vanilla libtag1c2a libtotem-plparser12 libv4l-0 libvisual-0.4-0 libwavpack1 libxv1 media-player-info policykit-1
policykit-1-gnome python-cairo python-gconf python-gnome2 python-gnomecanvas python-gobject python-gst0.10 python-gtk2 python-libxml2 python-pyorbit rhythmbox 0 upgraded, 94 newly installed, 0 to remove and 2 not upgraded. Need to get 18.1MB/18.5MB of archives. After this operation, 112MB of additional disk space will be used. Do you want to continue [Y/n]? WARNING: The following packages cannot be authenticated! libck-connector0 libeggdbus-1-0 libpolkit-gobject-1-0 consolekit dbus-x11 libatasmart4 libgudev-1.0-0 libpolkit-backend-1-0 libsgutils2-2 devicekit-disks esound-common libgamin0 gamin gconf2 hicolor-icon-theme libgtk2.0-bin libcroco3 libgsf-1-common libgsf-1-114 librsvg2-2 librsvg2-common gnome-icon-theme gnome-media-common gnome-mime-data libcdparanoia0 libvisual-0.4-0 libxv1 gstreamer0.10-plugins-base libaa1
libavc1394-0 libcaca0 libdv4 libhal1 libiec61883-0 libshout3 libgnome-keyring0 libproxy0 libsoup2.4-1 libsoup-gnome2.4-1 libtag1-vanilla libtag1c2a libv4l-0 libwavpack1 gstreamer0.10-plugins-good gstreamer0.10-x libgdu0 libavahi-glib1 libgvfscommon0 libpolkit-agent-1-0 policykit-1 policykit-1-gnome gvfs libart-2.0-2 libaudiofile0 libbonobo2-common libbonobo2-0 libglade2-0 libesd-alsa0 libhal-storage1 libgnomevfs2-common
libgnomevfs2-0 libgnome2-common libgnome2-0 libgail18 libgail-common libgnomecanvas2-common libgnomecanvas2-0 libbonoboui2-common libbonoboui2-0 liblaunchpad-integration1 libnautilus-extension1 libgmime-2.4-2 libtotem-plparser12 libbrasero-media0 libgnome-media0 libgnomeui-common libgnomeui-0 libgpod4 libmtp8 libmusicbrainz4c2a libnotify1 media-player-info python-cairo libffi5 python-gobject python-gconf python-gnomecanvas python-gtk2 python-pyorbit python-gnome2 python-libxml2 python-gst0.10 liblircclient0 rhythmbox Install these packages without verification [y/N]? E: Some packages could not be authenticated roland@localhost:~$

              
   
   

Lista de respuestas

2
 
vote
vote
La mejor respuesta
 

Usa SFTP. Simplemente abra una ventana de Nautilus, presione CTRL + L, esto debería mostrarle una barra de direcciones, Tipo:

  $> ll /dev/disk/by-id > ~/after.txt $> diff ~/before.txt ~/after.txt 1  

Una ventana debe obtener una ventana emergente solicitando su usuario y contraseña. Dales y estás conectado a tu servidor.

Simplemente use cualquier programa GUI que le guste, debería poder acceder a la parte compartida ahora, en la barra izquierda de la ventana abierta. Si, por alguna razón, no lo hace (la aplicación no usa los cuadros de diálogos abiertos estándar), será accesible bajo ~ / .gvfs .

Si no conoce ningún programa de etiquetado, mire esta > Pregunta .

 

Use sftp. Just open a Nautilus window, hit CTRL+L, this should show you an address bar, type:

ssh://servername/home/yourremoteuser/ 

A window should pop-up asking for your user and password. Give them and you are connected to your server.

Just use any GUI program that you like, it should be able to access the share now, in the left bar of the open window. If for some reason it doesn't (the app doesn't use the standard open dialogs), it will be accessible under ~/.gvfs.

If you don't know any tagging programs, look at this question.

 
 
     
     
1
 
vote

Usando Google, encontré una buena herramienta para eso: ID3ED

Puede descargarlo en su servidor usando WEGT desde aquí:

ID3ED

Después de eso se verá así:

  $> ll /dev/disk/by-id > ~/after.txt $> diff ~/before.txt ~/after.txt 2  

Desafortunadamente, no lo encontré como un paquete para Ubuntu.

 

Using google I found a nice tool for that: id3ed

You can download it on your server using wget from here:

id3ed

After that it will look like that:

simon@etch:~$ id3ed Gluecklich.mp3   File Gluecklich.mp3: (tag v1.1) songname[max:30]: Glxc3xbccklich artist[max:30]: Farin Urlaub album[max:30]: Endlich Urlaub! year[max:4]: 2001 comment[max:28]: Radio-Mitschnitt tracknum[max:3]: 0 genre[0-255/name]: Rock 

Unfortunately I did not find it as a package for Ubuntu.

 
 
         
         

Relacionados problema

12  Reproductor de música que reproduce listas de reproducción de YouTube  ( Music player that plays youtube playlists ) 
He intentado que todos los jugadores de música se recomiendan en respuestas para preguntas similares, pero no he encontrado un jugador que cumpla con los sigu...

0  Reproductor de música que ordena por fecha modificada  ( Music player that sorts by date modified ) 
He estado usando Ubuntu durante aproximadamente una semana y actualmente estoy buscando un reproductor de música que pueda ordenar la música en la fecha en qu...

4  ¿El iPod Shuffle 4th Gen funciona bien con Rhythmbox?  ( Does the ipod shuffle 4th gen work well with rhythmbox ) 
Estoy pensando en obtener un iPod Shuffle 4th Gen., Pero si no funciona bien con Ubuntu 12.04 / Rhythmbox, es un no-Go. ¿Alguien tiene alguna experiencia co...

5  ¿Hay buenos mezcladores de música disponibles, equivalentes a Windows "Mp3 Tunes"?  ( Are there any good music mixers available equivalent to windows mp3 tunes ) 
En Windows, mi papá solía tener un programa llamado MP3 Tunes . He intentado ejecutarlo con vino , y funcionó. Pero las cosas extrañas seguían sucediendo al...

4  ¿Hay un reproductor de música que no juegue videos o muestre fotos?  ( Is there a music player that doesnt play video or show photos ) 
Quiero un reproductor de música que no pueda jugar videos o mostrar fotos. No tengo ningún otro requisito. ¿Hay algún jugador de música que se ajusten a mi ...

7  Python (v2.7) requiere instalar complementos para crear archivos multimedia del siguiente tipo: vorbis codificador  ( Python v2 7 requires to install plugins to create media files of the following ) 
Este es el mensaje que recibo cuando intento rasgar un CD de cualquier jugador. Por lo general, uso la ritmo de stock, pero he intentado que otros no vayan en...

4  Comando de terminal para controlar el reproductor de música / video estándar (Play / Stop / Siguiente ..)  ( Terminal command to control the standard music video playerplay stop next ) 
Después de googlar por un tiempo, ahora no puedo (--) encontrar una solución para esto: Quiero decirle mi estándar (como se señala en la configuración) mus...

0  ¿Por qué no veo lollypop en el menú indicador de sonido? [cerrado]  ( Why dont i see lollypop in the sound indicator menu ) 
cerrado. Esta pregunta es off-topic . Actualmente no está aceptando respuestas. ¿Quieres ...

8  Reproductor de música ligero  ( Lightweight music player ) 
¿Hay algún reproductor de música ultraligero para Ubuntu (como FOOBAR)? Preferiblemente con la integración de la barra de tareas de unidad. ...

3  Lente de música no reproduce música a través del reproductor de música predeterminado  ( Music lens does not play music through default music player ) 
He establecido Rhythmbox como mi reproductor de música predeterminado a través de la configuración del sistema & gt; Detalles , pero cuando navegue y toque l...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos